SenseCrypt Docs
API ReferenceAdmin Resource Servers

List Permissions

GET/v1/admin/resource-servers/{rs_id}/permissions

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

rs_id*Rs Id
Formatuuid

Query Parameters

q?Q
Default""
limit?Limit
Range1 <= value <= 500
Default200
offset?Offset
Range0 <= value
Default0

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/resource-servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/permissions"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "resource_server_id": "0583ccd6-75d4-420d-8f26-2f752676f8dc",      "value": "string",      "description": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "limit": 0,  "offset": 0}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}